Appearance
Changelog
Version 1.15.1 Release (2026-09-11)
- Webhook fully live! See docs for more information.
Version 1.14.2 Release (2026-09-07)
improvements
- The Create booking response now includes
bookingorder_ids, the ids of the booking orders created for that booking. Fetching the booking orders afterwards just to get their ids is no longer needed.
Version 1.14.1 Release (2026-03-27)
improvements
- Extend API to support Octo standard travel industry standard for easy integrations.
- This is a travel industry data standard designed to simplify integrations between:
- Tour operators
- Booking platforms
- Resellers
- Travel marketplaces
- This is a travel industry data standard designed to simplify integrations between:
Version 1.12.1 Release (2025-12-18)
improvements
- Python upgrade
- Performance improvements
Version 1.11.4 Release (2025-05-21)
improvements
- Add
vat_categoryfilter on tickets:v1/tickets?vat_category=in:[low,high](requested by client)
Version 1.11.3 Release (2025-02-20)
improvements
- Add more support for
booking_referenceon booking and booking order - Add
event_name,event_seasonandtournament_nameto item level on/v1/bookingsbased on client request - Add various fields in preparation for multiple currencies
changes
- Various data validation improvements
Version 1.11.2 Release (2024-12-16)
- improvement: Migration of documentation to OpenAPI v3 specs + new website
Version 1.11.0 Release (2024-10-16)
- improvement: Improve
/v1/ticket(s) documentation to clarifynet_rateandface_valueusage.
Version 1.10.0 Release (2024-04-15)
- improvement: Upgrade to Python 3.11
Version 1.9.8 Release (2024-03-18)
- improvement: Add
highlightproperty to category to highlight certain categories. - improvement: Add new filters on reservation resource
Version 1.9.7 Release (2024-02-16)
- improvement: Add
soldoutstatus to event resource to inform clients that all tickets have been sold out for now. Of course tickets can be re-listed through the marketplace. Sold out is therefore not a final end state. - improvement: New category type
hospitality
Version 1.9.1 Release (2023-12-19)
- improvement: Add all ENUM types (such as sport type, category type)
- improvement: Rate limit improvement
- improvement: Advanced autoscaling on API nodes
Version 1.8.15 Release (2023-12-13)
- deprecation: Added deprecated flags to
/v1/reservation/<reservation_id>/guestsand/v1/reservation/<reservation_id>/guest/details- Use
/v1/reservations/{reservation_id}/guestdata - See Guest data documentation for more information
- Use
Version 1.8.12 Release (2023-08-10)
- improvement: Improved the docs to explain datetime formats and use cases
Version 1.8.11 Release (2023-08-01)
- improvement:
/v1/bookingsnow supports nestedguestsin objects initemslist, making it easier to pass along which guest goes with which ticket - improvement:
/v1/bookingstop levelguestsvalidation now returns clearer error response on errors. - !!breaking change!!
/reservations/{reservation_id}/payment-methodsreturns list of objects (keys: keys, percentage) instead of list of strings.
See documentation for example body and response.
Version 1.8.6 Release (2023-06-14)
- improvement: Performance improvements
/categories/tickets/events - bugfix:
in:[]query operator was capped at 100 characters. Limit increased to 2000 characters
Version 1.8.5 Release (2023-04-24)
- improvement: add slugs to
/events,/teams,/tournaments,/venues. This slug can used to query our resource/<resources/<resource_id>or/<resources>/<slug>. For example/v1/events/formula-1-dutch-grand-prix-2023
Version 1.8.4 Release (2023-04-19)
- improvement: Add endpoint to get the pay details of a reservation
- GET
/v1/reservations/<reservation_id>/pay-detailsGet current pay details. - PUT
/v1/reservations/<reservation_id>/pay-detailsUpdatepayment_methodandpayment_reference, returns updated pay details.
- GET
Version 1.8.3 Release (2023-03-30)
- improvement: Add
flagsto/v1/ticketsand/v1/ticketsto clarify business rules that apply to buying those tickets - improvement: Improve business rules checks when buying tickets.
Version 1.8.2 Release (2023-03-30)
- improvement: Remove
salespriceandticket_titlefrom reservation/booking entries. Not required anymore - improvement: Add new guestdata endpoints under reservation to allow better control over which guest data is for which ticket:
- GET
/reservations/{reservation_id}/guestdata[?include_conditions=true] - POST
/reservations/{reservation_id}/guestdata - GET
/reservations/{reservation_id}/guestdata/{guest_id}[?include_conditions=true] - PUT
/reservations/{reservation_id}/guestdata/{guest_id}
- GET
Version 1.8.1 Release (2023-03-13)
- improvement: Add more infomation to the consumer in case of a http 4xx error on the reservation/booking endpoint
Version 1.7.x Release (2022-12-28)
- improvement: tracing ids.
- breaking change: rate_strategy replaced with sales_periods.
- improvement: 3 character slug for team according to Reuters
- improvement: sport type added to each team.
- improvement: additional resource filtering on
/teams - improvement: further optimisation of the
/ticketsendpoint - change: rate limit ceiling increased on
testandproduction - improvement: new query pamars (
category_id,subcategory) on the/ticketsendpoint - maintenance: python 3.10.x upgrade
- bug fixing: 500 errors on emtpy resultset on some endpoints
- improvement: flag if category is mapped on svg
- change: supplied_id will be given back as an empty string instead
- improvement: additional endpoints to check ticket stock for our hosted store partners.
- bugfixing: documentation updated typo errors
- performance: optimization of sql queries
- improvement: additional api endpoints for external ticket management
- improvement: timezone in venue
- improvement: guest data requirements endpoint
- bug: unhandled exception with empty tokens
Version 1.7.x Release (2022-10-01)
- breaking change: rate_strategy replaced with sales_periods.
- improvement: 3 character slug for team according to Reuters
- improvement: sport type added to each team.
- improvement: additional resource filtering on
/teams - improvement: further optimisation of the
/ticketsendpoint - change: rate limit ceiling increased on
testandproduction - improvement: new query pamars (
category_id,subcategory) on the/ticketsendpoint - maintenance: python 3.10.x upgrade
- bug fixing: 500 errors on emtpy resultset on some endpoints
- improvement: flag if category is mapped on svg
- change: supplied_id will be given back as an empty string instead
- improvement: additional endpoints to check ticket stock for our hosted store partners.
- bugfixing: documentation updated typo errors
- performance: optimization of sql queries
- improvement: additional api endpoints for external ticket management
- improvement: timezone in venue
Version 1.6.2 release (2022-07-13)
- improvement: general terms per ticket are given back
- improvement ticket names are included in the response of
/booking - maintenance upgrade to python 3.8.10
- improvement
tickets_availablequery param added to/events - improvement oath flow improved for
adminandbookingsportallogin - feature added wikipedia information to venue information (
wikipedia_snippetandwikipedia_slug) - feature added wikipedia information to team information (
wikipedia_snippetandwikipedia_slug) - feature added property venue_id to team resource (default home venue)
- bug issue with open api 2.0 spec fixed
- improvement database performance with pagination query request
- improvement: improved bookings flow. Pre payment options are available on the fly
- improvement: client data moved from api to xs2ticket flow
- improvement: registration of client support desk of b2c channel
- improvement: support query parameter to search for bookings
Version 1.6.x Release (2021-11-24)
- maintenance upgrade to python 3.9.9
- maintenance wsgi compatibility
- improvement postman suite update
Version 1.5.x Release (2021-11-09)
- maintenance upgrade to python 3.9.7
- improvement rate limiter moved to main load balancer
- improvement traffic between xs2ticket and xs2event splitted into two load balancer groups based on dns/ip
- improvement filter on tournaments
- improvement interval api's for portal
- improvement private product listings
- improvement (event) date confirmed (boolean)
- bug date_start + date_stop combination on same did not work (thanks Klaas for reporting this)
- improvement tickets conditions of our partners integrated (only sold in pairs only)
- improvement big increase in inventory by adding package rate products. products which can only be sold with hotel/flight
Version 1.3.4-1.3.10 Release (2021-03-18)
- improvement enabled webhook registration for tickets
- improvement trigger
/bookings/webhookendpoint - improvement delete
/bookings/webhookeindpoint - improvement extended possible queryparams for bookings
- improvement added ticket status in bookings (see documentation for possible status)
- bug category with description gave 500 exception
- (hosting) moved api/testapi to new k8s cluster
Version 1.3.3-2 Release (2021-03-09)
- (improvement) new logical operators: in and not in (
sport_type=in:[motorsport,soccer] - (improvement) extended tournament api with number of events available (stopdate > today)
- (improvement further improve speed by caching stable resources.
Version 1.3.3 Release (2021-03-03)
- (improvement) add option to register webhook_url for future call backs (in bookings)
- (improvement) support logical operaters (gt, lt, in etc etc) in ```/tournament` resource
- (improvement) support popular (popular venues) in
/venueresource
Version 1.3.2 Release (2021-02-25)
- maintenance python 3.8.8 upgrade
- improvement proxy layer to our psp to accept multi payment types in the portal
Version 1.3.1 Release (2021-02-25)
- bug return code reservation create 201 instead of 200
- improvement new rest end point for reservation delete (partner request)
- improvement new rest end point for reservation update (partner request)
- improvement separate node to support front-end search (portal)
- maintenance python 3.8.7 upgrade
- (documentation) new reservation end points documented
- improvement distributor endpoint extended
- improvement code version as x-header
Version 1.2.x Release (2021-01-27)
- bug
/reservationendpoint did not filter correctly (Thanks Remco!) - improvement automatic void open reservations (Thx Remco!)
- improvementstatus page public service status page introduced
- bug
/sportsendpoint raised 500 error on production and test due to *sql dialect constraints on grouping - bug testapi/sandbox ingress configuration fixed
- improvement premium/subscribed accounts features added
- improvement
/support/fxservice added to fetch latest exchange rates again base currencyEUR - bug
eventresponse renamed (event_startdate -> date_start) same for stop - improvement endpoints added to download e-ticket via xs2ticket.com
- improvement currency translation to base currency based on foreign fx service made available to xs2event powered webshops
- improvement
/tickets/store/<storename>endpoint added to support xs2event powered webshops or external clients with markup calculatio
Version 1.1.x Release (2020-12-03)
- improvement.
venuedto extended with information about the track length (in case of racing circuit or cycling), construction date of venue and capacity. If values are not availablenoneis returned - improvement.
x-hostid (Kubernetes) header added - improvement.
venuedto extended with address information - improvement.
api.xs2event.com/categoriesadded with information in nl_NL en en_GB about categories (basically stands) - improvement
cdn.xs2event.comfilled with stadium images (cdn.xs2event.com/venues/images/<venue_id>_image.jpg) - improvement
/ticketsendpoint extended with more detailed ticket location ('seating') information - improvement Documentation extended + images added.
- bug /tickets response time
- bug /reservation post no reservation id required
- improvement k8s nodes extended- improvement preparation for release on python
none
Version 1.0.x Release (2020-11-13)
- (feature) new endpoint to support our fully hosted webshops with statistics
/events/<event_id>/statistics - (feature) cdn available for external parties to download venue svg
https://cdn.xs2event.com/venues/<venue_id>.svg - (feature) caching improvement
- bug pagination next/previous fixed (query params were omitted)
- (feature) yielding: resource to offer tailor made retail prices for full-service webshops
- (feature) sandbox_only property added in distributor resource
- (feature) fixed_rate_validfrom, fixed_rate_validuntil, fixed_rate added to ticket response.
- (feature) minor documentation errors
- (feature) guest attribute in booking resource extended
- (feature) Comparison operators allowed in queryparam (salesprice=gt:10000)
- (feature) API endpoints introduced to create API keys automatically
- (feature) API endpoints introduced to create Portal logic (portal.xs2event.com)
Version 0.9.x Release (2020-03-10)
- Initial public release